Gecode::Int::Linear::ScaleBoolArray Class Reference

Array of scale Boolean views. More...

`#include <linear.hh>`

## Public Member Functions

| ScaleBoolArray (void)
| Default constructor.
| ScaleBoolArray (Space &home, int n)
| Create array with n elements.
void | subscribe (Space &home, Propagator &p)
| Subscribe propagator p.
void | cancel (Space &home, Propagator &p)
| Cancel propagator p.
void | reschedule (Space &home, Propagator &p)
| Schedule propagator p.
void | update (Space &home, ScaleBoolArray &sba)
| Update sba during copying.
ScaleBool * | fst (void) const
| Return pointer to first element.
ScaleBool * | lst (void) const
| Return pointer after last element.
void | fst (ScaleBool *f)
| Set pointer to first element.
void | lst (ScaleBool *l)
| Set pointer after last element.
bool | empty (void) const
| Test whether array is empty.
int | size (void) const
| Return number of elements.
void | sort (void)
| Sort array in decreasing order of coefficients.

## Detailed Description

Array of scale Boolean views.

Definition at line 1139 of file linear.hh.

## Constructor & Destructor Documentation

## ScaleBoolArray() [1/2]

Gecode::Int::Linear::ScaleBoolArray::ScaleBoolArray | ( | void |  | ) |

inline

Default constructor.

Definition at line 41 of file bool-scale.hpp.

## ScaleBoolArray() [2/2]

Gecode::Int::Linear::ScaleBoolArray::ScaleBoolArray | ( | Space & | home,
|  | int | n )

inline

Create array with n elements.

Definition at line 43 of file bool-scale.hpp.

## Member Function Documentation

## subscribe()

void Gecode::Int::Linear::ScaleBoolArray::subscribe | ( | Space & | home,
|  | Propagator & | p )

inline

Subscribe propagator p.

Definition at line 52 of file bool-scale.hpp.

## cancel()

void Gecode::Int::Linear::ScaleBoolArray::cancel | ( | Space & | home,
|  | Propagator & | p )

inline

Cancel propagator p.

Definition at line 57 of file bool-scale.hpp.

## reschedule()

void Gecode::Int::Linear::ScaleBoolArray::reschedule | ( | Space & | home,
|  | Propagator & | p )

inline

Schedule propagator p.

Definition at line 62 of file bool-scale.hpp.

## update()

void Gecode::Int::Linear::ScaleBoolArray::update | ( | Space & | home,
|  | ScaleBoolArray & | sba )

inline

Update sba during copying.

Definition at line 67 of file bool-scale.hpp.

## fst() [1/2]

ScaleBool * Gecode::Int::Linear::ScaleBoolArray::fst | ( | void |  | ) | const

inline

Return pointer to first element.

Definition at line 81 of file bool-scale.hpp.

## lst() [1/2]

ScaleBool * Gecode::Int::Linear::ScaleBoolArray::lst | ( | void |  | ) | const

inline

Return pointer after last element.

Definition at line 85 of file bool-scale.hpp.

## fst() [2/2]

void Gecode::Int::Linear::ScaleBoolArray::fst | ( | ScaleBool * | f | ) |

inline

Set pointer to first element.

Definition at line 89 of file bool-scale.hpp.

## lst() [2/2]

void Gecode::Int::Linear::ScaleBoolArray::lst | ( | ScaleBool * | l | ) |

inline

Set pointer after last element.

Definition at line 93 of file bool-scale.hpp.

## empty()

bool Gecode::Int::Linear::ScaleBoolArray::empty | ( | void |  | ) | const

inline

Test whether array is empty.

Definition at line 97 of file bool-scale.hpp.

## size()

int Gecode::Int::Linear::ScaleBoolArray::size | ( | void |  | ) | const

inline

Return number of elements.

Definition at line 101 of file bool-scale.hpp.

## sort()

void Gecode::Int::Linear::ScaleBoolArray::sort | ( | void |  | ) |

inline

Sort array in decreasing order of coefficients.

Definition at line 111 of file bool-scale.hpp.

The documentation for this class was generated from the following files:

- gecode/int/linear.hh
- gecode/int/linear/bool-scale.hpp